Subject: Re: bug#73991: EditorConfig bundled with Emacs 30 does not set tab-width

From: Kenta USAMI <[email-masked]>
Date: Fri, 25 Oct 2024 19:49:06 +0900

The effort to change EditorConfig settings for each project is too
small-scale
compared to other meaningful discussions, such as the need to guarantee
computing freedom. Forcing users who have used Emacs and EditorConfig and
found
them useful to accept this inconvenient change when they update to Emacs 30
seems like nothing more than a negative campaign against Emacs, and an
effort
to exclude casual Emacs users.

I have no other feedback on these efforts, but I am very grateful for your
work.

Regards,

2024年10月25日(金) 19:18 Eli Zaretskii <[email-masked]>:

> > From: Kenta USAMI <[email-masked]>
> > Date: Fri, 25 Oct 2024 18:07:32 +0900
> > Cc: [email-masked], [email-masked]
> >
> > Thank you for your suggestion.
> >
> > However, the difference in these settings is as trivial as the color of
> a bike
> > shed to other editor implementations that comply with the EditorConfig
> specification.
> >
> > I don't intend to send patches to numerous free software authors to fix
> something
> > that isn't broken. Frankly, it would feel like spam to people who don't
> use Emacs.
>
> It would feel like spam only if you accept that POV.  If you agree
> with the POV I presented -- that the fact Emacs now supports
> EditorConfig is worth some effort to adapt -- and try convincing
> others to accept that, it won't look like spam, I'm sure.
>